RHEL 5 : openldap (RHSA-2007:1037)

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

Updated openldap packages that fix a security flaw are now available
for Red Hat Enterprise Linux 5.

This update has been rated as having important security impact by the
Red Hat Security Response Team.

OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.

A flaw was found in the way OpenLDAP's slapd daemon handled malformed
objectClasses LDAP attributes. A local or remote attacker could create
an LDAP request which could cause a denial of service by crashing
slapd. (CVE-2007-5707)

In addition, the following feature was added: * OpenLDAP client tools
now have new option to configure their bind timeout.

All users are advised to upgrade to these updated openldap packages,
which contain a backported patch to correct this issue and provide
this security enhancement.

See also :

https://www.redhat.com/security/data/cve/CVE-2007-5707.html
http://rhn.redhat.com/errata/RHSA-2007-1037.html

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.1
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 27853 ()

Bugtraq ID:

CVE ID: CVE-2007-5707